Bug 1909027 - Disks option of Sectected capacity chart shows HDD disk even on selection of SDD disk type
Summary: Disks option of Sectected capacity chart shows HDD disk even on selection of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: gowtham
QA Contact: suchita
URL:
Whiteboard:
: 1909028 1909029 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-18 08:29 UTC by suchita
Modified: 2021-02-24 15:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Selcted capacity chart for SDD disk type showing HDD disks (83.03 KB, image/png)
2020-12-18 09:24 UTC, suchita
no flags Details
Selcted capacity chart for SDD disk type showing HDD disks (80.38 KB, image/png)
2020-12-21 11:59 UTC, suchita
no flags Details
Verified- Selected capacity chart while OCS4.7nightly build installation (95.28 KB, image/png)
2021-01-19 07:53 UTC, suchita
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7759 0 None closed Bug 1909027: Modifying selected disk count based on selected disk type 2021-01-27 11:46:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:52 UTC

Description suchita 2020-12-18 08:29:04 UTC
Description of problem:
For LSO deployments, on the page "Create storage cluster"->"create storage class" tab, if the selected disk type is SDD and from the "Selected Capacity" chart if the "Disks" option is selected then it shows available HDD disks

Version-Release number of selected component (if applicable):
OpenShift Version :4.6.0-0.nightly-2020-12-16-180954
ocs-operator.v4.6.0

Tested on Platform: Ovirt
One disk is attached to a worker node 
How reproducible:

Steps to Reproduce:
1. install ocp 4.6.0-0.nightly-2020-12-16-180954 or later
2. install LSO operator 4.6.0
3. install OCS operator 4.6.0
4. Start Creating Storage cluster from UI
4.1. Select nodes on the Discovery Disks menu and Click next 
4.2  on create storage class menu page, select disk type as SDD/NVMe
4.3  Select "Disks" option from " Selected Capacity" Chart

Actual results:
It shows the attached HDD disks through the selected disk type is SDD/NVMe.

Expected results:
The section of the "Disks" option from the "Selected capacity" chart should show disk depends on the selected "disk type" value. If the "SSD" disk type selected then it should not show HDD disks

Additional info:

Comment 1 Nishanth Thomas 2020-12-18 09:11:53 UTC
*** Bug 1909029 has been marked as a duplicate of this bug. ***

Comment 2 suchita 2020-12-18 09:24:25 UTC
Created attachment 1740190 [details]
Selcted capacity chart for SDD disk type showing HDD disks

Comment 3 suchita 2020-12-21 11:59:57 UTC
Created attachment 1740940 [details]
Selcted capacity chart for SDD disk type showing HDD disks

Comment 4 suchita 2020-12-21 12:06:36 UTC
*** Bug 1909028 has been marked as a duplicate of this bug. ***

Comment 5 gowtham 2021-01-07 21:03:28 UTC
PR is under review: https://github.com/openshift/console/pull/7759

Comment 8 suchita 2021-01-19 07:53:15 UTC
Created attachment 1748645 [details]
Verified- Selected capacity chart  while OCS4.7nightly build installation

This bug has been tested on the RHV platform - with LSO mode OCS 4.7 nightly build deploymnet.
  
Version details: 
Openshift: 4.7.0-0.nightly-2021-01-15-100321
OCS : ocs-operator.v4.7.0-231.ci
local-storage-operator.4.6.0-202101090040.p0

Comment 9 suchita 2021-01-19 08:16:43 UTC
In Above testing, I have captured the observations while ocs-operator.v4.7.0-231.ci deployment and OCS4.6.1 with partial deployment steps i.e. traverse till "Create storage class" page. 

Based on comments https://bugzilla.redhat.com/show_bug.cgi?id=1909027#c7  and https://bugzilla.redhat.com/show_bug.cgi?id=1909027#c8 moving bug to verified status.

Comment 12 errata-xmlrpc 2021-02-24 15:46:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.